*
      PROGRAM TCZ_HEEV1
*
*          PZHEEV1(EV3,EV5)
*
      include 'mpif.h'
*
*  
      INTEGER            N, NPROW, NPCOL, NB, MEMSIZE, IL, IU
      DOUBLE PRECISION   VL, VU, ABSTOL
      PARAMETER          ( N=7, NB=2, MEMSIZE=143 )
*
      DOUBLE COMPLEX     AMEM( MEMSIZE )
      CHARACTER*(*)      NAME, UPLO
      CHARACTER          INFILEA*(*), OUTFILE*(*)
      PARAMETER          ( INFILEA = 'heev_7.dat',
     $                     OUTFILE = 'heev1_7.res')
*
      PARAMETER          ( UPLO = 'U',
**     $                     NAME = 'PZHEEV1')
**     $                     NAME = 'PZHEEV3')
     $                     NAME = 'PZHEEV5')
*
       EXTERNAL CAZ_HEEV1
*
*  
*
      NPROW = 2
      NPCOL = 2
*
      VL = 0.D0
      VU = 0.D0
      IL = 0
      IU = 0
*
      IF( NAME .NE. 'PZHEEV3' ) GOTO 1
      VL = -10.0D0
      VU =  10.0D0
    1 IF( NAME .NE. 'PZHEEV5' ) GOTO 2
      IL = 2
      IU = 7
**  2    ABSTOL = 2.0D0* PDLAMCH(CTXT,'U')
    2 ABSTOL = 10.0D-10
*
      CALL CAZ_HEEV1(NAME, UPLO, N, NPROW, NPCOL, AMEM, MEMSIZE, NB,
     $               VL, VU, IL, IU, ABSTOL, INFILEA, OUTFILE)
*
      STOP
      END
